Comment on GameTap

"Macintosh is now supported on the GameTap Lite Player for versions 10.4 and above on the X86 Intell Platform."

Still using my PowerPC G5, and don't see changing anytime soon. Too bad.